  {% extends "lab_7/layout/base.html" %}
{% block content %}
<section name="mahasiswa-list" id="mahasiswa-list">
    <div class="container">
        <div class="row">
            <div class="col-md-8 col-lg-8">
                <h2> Mahasiswa Fasilkom</h2>
				
				
				<ul class="pager">
				  <li class="previous"><a href="#">Previous</a></li>
				  <li class="next"><a href="#">Next</a></li>
				</ul>
                <div class="list-group" id="mahasiswa-list">
                    {% if mahasiswa_list %}
                        {% for mahasiswa in mahasiswa_list %}
                            <a class="list-group-item clearfix">
                                {{ mahasiswa.nama }} ({{ mahasiswa.npm }})
                                <span class="pull-right">
                        <span class="btn btn-xs btn-default" onClick="addFriend('{{ mahasiswa.nama }}', '{{ mahasiswa.npm }}')">
                            Tambah sebagai teman
                        </span>
                    </span>
                            </a>
                        {% endfor %}
                    {% else %}
                        <div class="alert alert-danger text-center">
                            <strong>Opps!</strong> Tidak ada mahasiswa
                        </div>
                    {% endif %}
                </div>
            </div>
            <div class="col-lg-4">
                <h2> Teman Saya </h2>
                <div class="list-group" id="friend-list">
                    {% if friend_list %}
                        {% for friend in friend_list %}
                            <a class="list-group-item clearfix">
                                {{ friend.friend_name }} ({{ friend.npm }})
                            </a>
                        {% endfor %}
                    {% else %}
                        <div class="alert alert-danger text-center">
                            <strong>Opps!</strong> Tidak ada teman
                        </div>
                    {% endif %}
                </div>
                <form id="add-friend" action="#">
                    {% csrf_token %}
                    <label for="field_npm">npm</label>
                    <input id="field_npm" type="text" name="npm" class="form-control"/>
                    <label for="field_name">name</label>
                    <input id="field_name" type="text" name="name" class="form-control"/>
                    <button type="submit">Tambah</button>
                </form>
            </div>
        </div>
    </div>
</section>
{% endblock %}
{% block javascript %}
<script>

	var page = 1;
    var addFriend = function(nama, npm) {
        $.ajax({
            method: "POST",
            url: "{% url "lab-7:add-friend" %}",
            data: { name: nama, npm: npm},
            success : function (friend) {
				if(friend.is_taken){
					alert("Mahasiswa tersebut sudah ditambahkan sebagai teman")
				}
				else{
					
					html = '<a class="list-group-item clearfix">' +
						friend.friend_name+' ('+friend.npm+')'+
						'</a>';
					$("#friend-list").append(html)
				}
            },
            error : function (error) {
                alert("Mahasiswa tersebut sudah ditambahkan sebagai teman")
            }
        });
    };

	$("li.previous").click(function(){
		
		
		$.ajax({
            method: "POST",
			data: {type:"previous",pg:page},
            url: "{% url "lab-7:get-next-prev" %}",
            
            success : function (friend) {
				if(page != 1){
					page-= 1;
					
					var lst = friend;
					
					var change = "";
					var temp;
					$(lst).each(function(index,x){
							temp =  '<a class="list-group-item clearfix">'+x.nama+' ('+x.npm+')<span class="pull-right"><span class="btn btn-xs btn-default" onClick="addFriend('+
							x.nama+', '+x.npm+
							')">Tambah sebagai teman</span></span></a>';
							change += temp;
					});
					$("div#mahasiswa-list").html(change);
				}
            },
            
        });
	})
	
	$("li.next").click(function(){
		
		
		$.ajax({
            method: "POST",
			data: {type:"next",pg:page},
            url: "{% url "lab-7:get-next-prev" %}",
            
            success : function (friend) {
				page+=1;
				var lst = friend;
				
				var change="";
				var temp;
				$(lst).each(function(index,x){
						temp =  '<a class="list-group-item clearfix">'+x.nama+' ('+x.npm+')<span class="pull-right"><span class="btn btn-xs btn-default" onClick="addFriend('+
						x.nama+', '+x.npm+
						')">Tambah sebagai teman</span></span></a>';
						change += temp;
				});
				$("div#mahasiswa-list").html(change);
				
            },
       
        });
	})
	
    $("#add-friend").on("submit", function () {
       name = $("#field_name").val()
       npm = $("#field_npm").val()
        addFriend(name, npm)
        event.preventDefault();
    });

    $("#field_npm").change(function () {
        console.log( $(this).val() );
        npm = $(this).val();
        $.ajax({
            method: "POST",
            url: '{% url "lab-7:validate-npm" %}',
            data: {
                'npm': npm
            },
            dataType: 'json',
            success: function (data) {
                console.log(data)
                if (data.is_taken) {
                    alert("Mahasiswa dengan npm seperti ini sudah ada");
                }
            }
        });
    });
</script>
{% endblock %}

